| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IHostServices Class Referenceabstract

`#include <AAX_IHostServices.h>`

Inheritance diagram for AAX_IHostServices:
[legend]

## Description

Interface to diagnostic and debugging services provided by the AAX host.

:Implemented by the AAX Host:

See also
  AAX_IACFHostServices

## Public Member Functions
virtual | ~AAX_IHostServices ()
virtual AAX_Result | HandleAssertFailure (const char *iFile, int32_t iLine, const char *iNote, int32_t iFlags) const =0
| Handle an assertion failure.
virtual AAX_Result | Trace (int32_t iPriority, const char *iMessage) const =0
| Log a trace message.
virtual AAX_Result | StackTrace (int32_t iTracePriority, int32_t iStackTracePriority, const char *iMessage) const =0
| Log a trace message or a stack trace.

## Constructor & Destructor Documentation

## ◆ ~AAX_IHostServices()

virtual AAX_IHostServices::~AAX_IHostServices | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ HandleAssertFailure()

virtual AAX_Result AAX_IHostServices::HandleAssertFailure | ( | const char * | iFile,
|  | int32_t | iLine,
|  | const char * | iNote,
|  | int32_t | iFlags
| ) |  | const
| pure virtual

Handle an assertion failure.

Use this method to delegate assertion failure handling to the host

Use `inFlags` to request that specific behavior be included when handling the failure. This request may not be fulfilled by the host, and absence of a flag does not preclude the host from using that behavior when handling the failure.

Parameters

  [in] | iFile | The name of the file containing the assert check. Usually `__FILE__`
  [in] | iLine | The line number of the assert check. Usually `__LINE__`
  [in] | iNote | Text to display related to the assert. Usually the condition which failed
  [in] | iFlags | Bitfield of AAX_EAssertFlags to request specific handling behavior

Implemented in AAX_VHostServices.

## ◆ Trace()

virtual AAX_Result AAX_IHostServices::Trace | ( | int32_t | iPriority,
|  | const char * | iMessage
| ) |  | const
| pure virtual

Log a trace message.

Parameters

  [in] | iPriority | Priority of the trace, used for log filtering. One of kAAX_Trace_Priority_Low, kAAX_Trace_Priority_Normal, kAAX_Trace_Priority_High
  [in] | iMessage | Message string to log

Implemented in AAX_VHostServices.

## ◆ StackTrace()

virtual AAX_Result AAX_IHostServices::StackTrace | ( | int32_t | iTracePriority,
|  | int32_t | iStackTracePriority,
|  | const char * | iMessage
| ) |  | const
| pure virtual

Log a trace message or a stack trace.

If the logging output filtering is set to include logs with `iStackTracePriority` then both the logging message and a stack trace will be emitted, regardless of `iTracePriority`.

If the logging output filtering is set to include logs with `iTracePriority` but to exclude logs with `iStackTracePriority` then this will emit a normal log with no stack trace.

Parameters

  [in] | iTracePriority | Priority of the trace, used for log filtering. One of kAAX_Trace_Priority_Low, kAAX_Trace_Priority_Normal, kAAX_Trace_Priority_High
  [in] | iStackTracePriority | Priority of the stack trace, used for log filtering. One of kAAX_Trace_Priority_Low, kAAX_Trace_Priority_Normal, kAAX_Trace_Priority_High
  [in] | iMessage | Message string to log

Implemented in AAX_VHostServices.

The documentation for this class was generated from the following file:

- AAX_IHostServices.h